/*
 * Copyright 2018 Okta, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.okta.authn.sdk.example.views;

import com.okta.authn.sdk.example.models.Stormtrooper;
import io.dropwizard.views.View;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;

import java.util.Collection;

public class StormtroopersView extends View {

    private final Collection<Stormtrooper> stormtroopers;

    public StormtroopersView(Collection<Stormtrooper> stormtroopers) {
        super("troopers.mustache");
        this.stormtroopers = stormtroopers;
    }

    public Collection<Stormtrooper> getStormtroopers() {
        return stormtroopers;
    }

    public Subject getSubject() {
        return SecurityUtils.getSubject();
    }
}